org.apache.lucene.codecs.memory

## Class MemoryPostingsFormat

- java.lang.Object
- - org.apache.lucene.codecs.PostingsFormat
  - - org.apache.lucene.codecs.memory.MemoryPostingsFormat

All Implemented Interfaces:
  NamedSPILoader.NamedSPI

    public final class MemoryPostingsFormat
    extends PostingsFormat

Stores terms and postings (docs, positions, payloads) in RAM, using an FST.

Note that this codec implements advance as a linear scan! This means if you store large fields in here, queries that rely on advance will (AND BooleanQuery, PhraseQuery) will be relatively slow!

WARNING: This API is experimental and might change in incompatible ways in the next release.

### Field Summary

### Fields inherited from class org.apache.lucene.codecs.PostingsFormat

`EMPTY`

### Constructor Summary

Constructors
Constructor and Description
`MemoryPostingsFormat()`
`MemoryPostingsFormat(boolean doPackFST, float acceptableOverheadRatio)` Create MemoryPostingsFormat, specifying advanced FST options.

### Method Summary

All Methods Instance Methods Concrete Methods
`FieldsConsumer` `fieldsConsumer(SegmentWriteState state)`
`FieldsProducer` `fieldsProducer(SegmentReadState state)`
`String` `toString()`

### Methods inherited from class org.apache.lucene.codecs.PostingsFormat

`availablePostingsFormats, forName, getName, reloadPostingsFormats`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MemoryPostingsFormat

    public MemoryPostingsFormat()

#### MemoryPostingsFormat

    public MemoryPostingsFormat(boolean doPackFST,
                                float acceptableOverheadRatio)

Create MemoryPostingsFormat, specifying advanced FST options.

Parameters:
  `doPackFST` - true if a packed FST should be built. NOTE: packed FSTs are limited to ~2.1 GB of postings.
  `acceptableOverheadRatio` - allowable overhead for packed ints during FST construction.

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `PostingsFormat`

#### fieldsConsumer

    public FieldsConsumer fieldsConsumer(SegmentWriteState state)
                                  throws IOException

Specified by:
  `fieldsConsumer` in class `PostingsFormat`
Throws:
  `IOException`

#### fieldsProducer

    public FieldsProducer fieldsProducer(SegmentReadState state)
                                  throws IOException

Specified by:
  `fieldsProducer` in class `PostingsFormat`
Throws:
  `IOException`